
Redmine - Feature #33612

Expose repository version via REST API

2020-06-17 11:00 - Tom Quern

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: REST API Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

For Redmine clients interacting with different versions of the Redmine server it would be beneficial to have an easy way to identify

the server version. Currently this information is available in the web UI: <your-host>/admin/info and can be scrapped from the page

(e.g. with Jsoup), but it's a hack. Having a REST endpoint with that information exposed would be great.

Or is there a more convenient workaround than the one mentioned above?

Related issues:

Is duplicate of Redmine - Feature #5901: REST API to expose the Redmine version New 2010-07-18

History

#1 - 2020-06-17 11:06 - Tom Quern

On a similar note, being able to get the current value for the 'Maximum attachment size' setting would be also great. I you think this should be a

separate request I'm happy to create another ticket to track it.

#2 - 2020-06-27 07:49 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Duplicate

Thank you for posting this issue but I found the same request #5901.

#3 - 2020-06-27 07:50 - Go MAEDA

- Is duplicate of Feature #5901: REST API to expose the Redmine version added
